#include "EasyPOD.H"


void USB_Event( void );

//BYTE OutLen = 0;
//BYTE OutBuffer[64];

void main( void )
  { Initial();                                   // Do not remove
    while(1)
      { if ( InFlag )                            // Data size of "InLen" is already 
          { // To do..                           // in the "InBuffer[]"
            USB_Read_Data_Complete();            // Do not remove
          }
        
        // To do..
        
        /* Will send data to PC ?? If yes , enable the following function call */
        
        /* In order to gain the best performance, the value of "OutLen" should be  
           the multiple of 63. ( Exp: OutLen = 63, 126, 189, and ... ) */
        // USB_Send_Data_To_PC( OutLen , OutBuffer );
        
        USB_Event();                             // Check USB power event
      }   
  }


void USB_Event( void )                           // Do not remove
  { if ( UsbEvent.Suspend == SET )               // Power down event from HOST
      { UsbEvent.Suspend = CLR;
        // To do..
        PCON |= 0x02;                            // MCU will into PowerDown mode
        UsbEvent.WakeUp = SET;
      }
    if ( UsbEvent.WakeUp == SET )                // MCU wakeup already
      { UsbEvent.WakeUp = CLR;
      	// To do..
      }
    if ( UsbEvent.Reset == SET )                 // Reset event from HOST
      { UsbEvent.Reset = CLR;
        // To do..
      }
    if ( UsbEvent.EmuOK == SET )                 // USB enumeration OK
      { // To do..
      }
  }